Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6194 - ifdown does not work if ifup run more than once on ppp link
Summary: ifdown does not work if ifup run more than once on ppp link
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 18:19 UTC by steve
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 18:56:08 UTC


Attachments (Terms of Use)

Description steve 1999-10-21 18:19:25 UTC
I have reproduced this on 5.2 and 6.0 and have not tried
6.1.  run this:

#ifup ppp0
#ifup ppp0
#ifdown ppp0

The connection cannot be brought down.

Steve Bergman
steve@netplus.net

Comment 1 Michael K. Johnson 1999-11-22 18:56:59 UTC
We can't really fix this in the old versions; that's why we significantly
re-architected how we do PPP connections for 6.1.  We now have a "ppp-watch"
daemon that handles all this stuff and makes it reliable.  It has many other
benefits as well, such as making "ifup ppp0" synchronous.


Note You need to log in before you can comment on or make changes to this bug.